2007/09/05

FreeBSD 6.2 之前版本利用 ports 裝套件時的錯誤訊息

在 FreeBSD 4.11 上裝套件時出現以下錯誤訊息:

On FreeBSD before 6.2 ports system unfortunately can not set default X11BASE by itself so please help it a bit by setting X11BASE=${LOCALBASE} in make.conf.
On the other hand, if you do wish to use non-default X11BASE, please set variable USE_NONDEFAULT_X11BASE.
*** Error code 1

Stop.

解決方法就是照著英文的說明做,在 make.conf 檔裡加上這麼一行

X11BASE=${LOCALBASE}

就可以了!
(make.conf 一般是放在 /etc 下,找不到就用 locate 或 find 找)

沒有留言:

張貼留言